Sisältö
Cities usable as a hotel search destination, optionally filtered by term or country.
get/v1/content/cities
- Vaatii tunnistautumisen
Parametrit
| Nimi | Sijainti | Tyyppi | Kuvaus |
|---|---|---|---|
| q | kysely | string | |
| country | kysely | string | |
| page | kysely | integer (int32) | |
| pageSize | kysely | integer (int32) |
Vastaukset
200OKCityItemPagedList
- CityItem[]
- codestring
- namestringvoi olla null
- countryCodestringvoi olla null
- countryNamestringvoi olla null
- pageinteger (int32)
- pageSizeinteger (int32)
- totalinteger (int32)
Koodiesimerkit
Valmiit ohjelmat, jotka allekirjoittavat pyynnön samalla tavalla kuin yhdyskäytävä sen tarkistaa. Korvaa YOUR_KEY_ID ja YOUR_SECRET.
# Sign the request: METHOD \n path+query \n unix time \n nonce \n sha256(body)
KEY_ID="YOUR_KEY_ID"
SECRET="YOUR_SECRET"
BODY=''
TS=$(date +%s)
NONCE=$(openssl rand -hex 16)
BODY_HASH=$(printf '%s' "$BODY" | openssl dgst -sha256 | sed 's/^.* //')
CANON=$(printf 'GET\n/v1/content/cities\n%s\n%s\n%s' "$TS" "$NONCE" "$BODY_HASH")
SIG=$(printf '%s' "$CANON" | openssl dgst -sha256 -hmac "$SECRET" | sed 's/^.* //')
curl -X GET "https://api.dubaitrip.com/v1/content/cities" \
-H "X-API-Key: $KEY_ID" \
-H "X-Timestamp: $TS" \
-H "X-Nonce: $NONCE" \
-H "X-Signature: $SIG" \
-H "Accept: application/json"